#include "CreateOpenGLDriver.h"
#include "COpenGLDriver.h"

namespace irr
{
namespace video
{

#ifdef _IRR_COMPILE_WITH_OPENGL_

IRRLICHT_API IVideoDriver* IRRCALLCONV createDriver(
	IrrlichtDevice* device
	)
{

	COpenGLDriver* ogl =  new COpenGLDriver(
                            device->getFileSystem(), device);
	return ogl;


}

#endif // _IRR_COMPILE_WITH_OPENGL_

}
}
